/**
 * Survey Form Stylesheet
 */

:root {
  --spacer: 15px;
  /* Colors */
  --bgColor: #ffffff;
  --textColor: #333333;
  --neutral: #ddd;
  --primaryAccent: #ec008c;
  --footerBg: #444;
  /* Typo */
  --textFont: 'PT Sans', san-serif;
  --headingFont: 'EB Garamond', Georgia, serif;
}

html, body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  background-color: var(--bgColor);
}

html * {
  box-sizing: border-box;
}

/* Typography */

html, body {
  font-family: var(--textFont);
  color: var(--textColor);
}

h1, h2, h3, h4, h5, h6 {
  font-family: var(--headingFont);
  color: var(--primaryAccent);
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-justify {
  text-align: justify;
}

.form-group {
  margin-bottom: var(--spacer);
}

.form-block {
  display: block;
  width: 100%;
  padding: 0.5em;
  font-size: 1em;
}

label.required::after {
  content: '*';
  font-size: 0.83em;
  vertical-align: super;
  color: var(--primaryAccent);
}

.btn {
  padding: calc(var(--spacer) / 3);
  background: var(--neutral);
  border: 1px solid var(--footerBg);
  box-shadow: none;
}

.btn-primary {
  background: var(--primaryAccent);
  color: var(--bgColor);
  border-color: var(--primaryAccent);
  text-transform: uppercase;
}